//
//  Miner.h
//  MobeleaderMiner
//
//  Created by Mobeleader on 2/1/18.
//  Copyright © 2018 Beleader Internet Marketing S.L. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

//Protocol to know what is happening on the library
@protocol MinerDelegate
@optional

//Optional function to implement something when the library is started and is going to fetch advertisements
-(void)onLibStart;

//Optional function to implement something when the library starts the minig process
-(void)onStartMining;

//Optional function to implement something when the library stops the minig process
-(void)onStopMinig;

//Optional function to show the errors
//The error variable contains the explanation of the error
-(void)onError:(NSString *)error;

@end

//Miner Object
@interface Miner : NSObject

//Optional value for delegate sps.
@property(nonatomic,assign)id delegate;

//The function to add requiered value created in mobeleader website.
- (void) setAppHash: (NSString *)appHash;

//The function to add the rootViewController
- (void)setRootViewController:(UIViewController * )rootViewController;

//The function to start mining
- (void)start;

//The function to start mining
- (void)stop;

//The function to cget the current version of Miner
- (NSString*) getVersion;

- (NSString*) getData;

+(Miner*)shared;

@end
